LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
06699Development [All Projects] Tokenspublic2012-10-14 17:412013-03-26 16:18
Reporterpjbauer 
Assigned ToDenisChenu 
PrioritynormalSeverityminor 
StatusresolvedResolutionfixed 
Product Version 
Target Version2.05Fixed in Version2.05 
Summary06699: Can't delete token attribute
Description“Manage token attribute fields” allows you to add or edit additional Token
attributes, but there is no option to delete them.
Steps To ReproduceAdd a token attribute
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (21953)
helper (reporter)
2012-11-05 13:41

Do we have a status on this?
User avatar (23224)
Mazi (developer)
2012-12-13 15:07

I can confirm that this is a missing feature which is not implemented yet.

Maybe we can add that to Limesurvey 2.1?!
User avatar (23225)
DenisChenu (developer)
2012-12-13 15:15

I'm not the specialist in "Token" management ;).

Denis
User avatar (23230)
helper (reporter)
2012-12-13 17:29

FYI - my workaround until you guys find a real solution: http://www.limesurvey.org/en/forum/can-i-do-this-with-limesurvey/89327-many-custom-attributes-looking-for-an-alternate-method#89750 [^]

This has a delete that I added, but this is not an ideal solution by far!
User avatar (23346)
DenisChenu (developer)
2012-12-21 22:45

helper: if you can make a pull request on github it can be great :)
Next week is holiday, then no time for dev.
User avatar (23832)
DenisChenu (developer)
2013-01-27 17:44

Fix committed to 2.1 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=11404 [^]

- Related Changesets
LimeSurvey: 2.1 085519a5
Timestamp: 2013-01-27 16:41:28
Author: DenisChenu
Committer: Denis Chenu
Details ] Diff ]
Fixed issue 06699: Can't delete token attribute
Dev: review some HTML for tokan attribute
Dev: fix some right, don't test if OK, but remove die("no access");
Dev: Don't delete attributedescriptions when delete attribute
mod - application/controllers/admin/tokens.php Diff ] File ]
mod - application/views/admin/token/managetokenattributes.php Diff ] File ]
LimeSurvey: 2.05 08390328
Timestamp: 2013-03-26 15:17:34
Author: DenisChenu
Committer: Denis Chenu
Details ] Diff ]
Fixed issue 06699: Can't delete token attribute
Dev: Don't delete attributedescriptions when delete attribute
mod - application/controllers/admin/tokens.php Diff ] File ]
mod - application/views/admin/token/managetokenattributes.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-10-14 17:41 pjbauer New Issue
2012-10-14 21:11 c_schmitz Project Bug reports => Development
2012-11-05 13:41 helper Note Added: 21953
2012-12-13 15:07 Mazi Note Added: 23224
2012-12-13 15:07 Mazi Assigned To => DenisChenu
2012-12-13 15:07 Mazi Status new => acknowledged
2012-12-13 15:15 DenisChenu Note Added: 23225
2012-12-13 17:29 helper Note Added: 23230
2012-12-15 11:58 DenisChenu Status acknowledged => assigned
2012-12-21 22:45 DenisChenu Note Added: 23346
2013-01-27 17:44 DenisChenu Changeset attached => LimeSurvey 2.1 085519a5
2013-01-27 17:44 DenisChenu Note Added: 23832
2013-01-27 17:44 DenisChenu Resolution open => fixed
2013-01-29 12:14 DenisChenu Status assigned => resolved
2013-01-29 12:14 DenisChenu Fixed in Version => 2.1
2013-03-25 22:34 DenisChenu Status resolved => feedback
2013-03-25 22:34 DenisChenu Resolution fixed => reopened
2013-03-25 22:34 DenisChenu Status feedback => assigned
2013-03-25 22:34 DenisChenu Product Version 2.00+ =>
2013-03-25 22:34 DenisChenu Fixed in Version 2.1 => 2.05
2013-03-25 22:35 DenisChenu Fixed in Version 2.05 =>
2013-03-25 22:35 DenisChenu Target Version => 2.05
2013-03-26 16:18 DenisChenu Changeset attached => LimeSurvey 2.05 08390328
2013-03-26 16:18 DenisChenu Status assigned => resolved
2013-03-26 16:18 DenisChenu Fixed in Version => 2.05
2013-03-26 16:18 DenisChenu Resolution reopened => fixed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker